import { AbstractPaymentRequestDto } from "../AbstractPaymentRequestDto.js";
import { PaypayProductDto } from "./PaypayProductDto.js";
export class PaypayAuthorizeRequestDto extends AbstractPaymentRequestDto {
    serviceType = "paypay";
    serviceCommand = "Authorize";
    orderId;
    serviceOptionType;
    accountingType;
    oneTimeCode;
    amount;
    withCapture;
    storeId;
    terminalId;
    receiptNumber;
    settleBizCode;
    itemName;
    itemId;
    successUrl;
    cancelUrl;
    errorUrl;
    pushUrl;
    orderDescription;
    storeInfo;
    userAgent;
    isTransitionResultUrl;
    provider;
    transitionType;
    extendParameterType;
    onlinePaymentType;
    products;
    voucherAmount;
    _maskedLog;
    get maskedLog() {
        return this._maskedLog;
    }
    set maskedLog(value) {
        this._maskedLog = value;
    }
}
//# sourceMappingURL=PaypayAuthorizeRequestDto.js.map